#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int x1, y1, x2, y2;
    int res;
    cin >> x1 >> y1 >> x2 >> y2;

    if(x1==x2 || y1==y2){
        res = 2;
    }else if(abs(x2-x1)==abs(y2-y1)){
        res = 1;
    }else{
        res = 0;
    }
    cout << res << endl;
    return 0;
}